aboutsummaryrefslogtreecommitdiffstats
path: root/docs/scripts
diff options
context:
space:
mode:
authortechknowlogick <techknowlogick@users.noreply.github.com>2017-11-26 16:44:32 -0500
committerLauris BH <lauris@nix.lv>2017-11-26 23:44:32 +0200
commitfb5c6b644460f94acb8976ad35165230b9d47fb2 (patch)
tree3811cb3807a9f666e77743cc0fc8bcea4276f421 /docs/scripts
parentf148a4a1ed55c75d391930865185fb7bfbee03ba (diff)
downloadgitea-fb5c6b644460f94acb8976ad35165230b9d47fb2.tar.gz
gitea-fb5c6b644460f94acb8976ad35165230b9d47fb2.zip
Import docs into main repository (#2874)
* import docs into main repository Signed-off-by: Matti Ranta <matti@mdranta.net>
Diffstat (limited to 'docs/scripts')
-rwxr-xr-xdocs/scripts/trans-copy32
1 files changed, 32 insertions, 0 deletions
diff --git a/docs/scripts/trans-copy b/docs/scripts/trans-copy
new file mode 100755
index 0000000000..125ab919ea
--- /dev/null
+++ b/docs/scripts/trans-copy
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+set -e
+
+#
+# This script is used to copy the en-US content to our available locales as a
+# fallback to always show all pages when displaying a specific locale that is
+# missing some documents to be translated.
+#
+# Just execute the script without any argument and you will get the missing
+# files copied into the content folder. We are calling this script within the CI
+# server simply by `make trans-copy`.
+#
+
+declare -a LOCALES=(
+ "nl-nl"
+ "pt-br"
+ "zh-cn"
+ "zh-tw"
+)
+
+ROOT=$(realpath $(dirname $0)/..)
+
+for SOURCE in $(find ${ROOT}/content -type f -iname *.en-us.md); do
+ for LOCALE in "${LOCALES[@]}"; do
+ DEST="${SOURCE%.en-us.md}.${LOCALE}.md"
+
+ if [[ ! -f ${DEST} ]]; then
+ echo "Creating fallback for ${DEST#${ROOT}/content/}"
+ cp ${SOURCE} ${DEST}
+ fi
+ done
+done